\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Intersection of Curves

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL Namespace Reference

## Functions
template<class InputIterator , class OutputIterator >
OutputIterator | compute_intersection_points (InputIterator curves_begin, InputIterator curves_end, OutputIterator points, bool report_endpoints=false)
| Given a range of curves, compute all intersection points between two (or more) input curves. More...
template<class InputIterator , class OutputIterator , class Traits >
OutputIterator | compute_intersection_points (InputIterator curves_begin, InputIterator curves_end, OutputIterator points, bool report_endpoints=false, Traits traits)
| Given a range of curves, compute all intersection points between two (or more) input curves. More...
template<class InputIterator , class OutputIterator >
OutputIterator | compute_subcurves (InputIterator curves_begin, InputIterator curves_end, OutputIterator subcurves, bool multiple_overlaps=false)
| Given a range of curves, compute all \( x\)-monotone subcurves that are pairwise disjoint in their interior, as induced by the input curves. More...
template<class InputIterator , class OutputIterator , class Traits >
OutputIterator | compute_subcurves (InputIterator curves_begin, InputIterator curves_end, OutputIterator subcurves, bool multiple_overlaps=false, Traits traits=Default_traits())
| Given a range of curves, compute all \( x\)-monotone subcurves that are pairwise disjoint in their interior, as induced by the input curves. More...
template<class InputIterator >
bool | do_curves_intersect (InputIterator curves_begin, InputIterator curves_end)
| Given a range of curves, check whether there is at least one pair of curves that intersect in their interior. More...
template<class InputIterator , class Traits >
bool | do_curves_intersect (InputIterator curves_begin, InputIterator curves_end, Traits traits=Default_traits())
| Given a range of curves, check whether there is at least one pair of curves that intersect in their interior. More...